Update Notification Settings in Bulk
PATCH /notification-settings
PATCH
/notification-settings
Update multiple notification settings (Push, Email, Text) for different events in bulk for the current user.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”Request payload to update multiple notification settings
Array<object>
Request to bulk update notification settings for a specific event.
object
email
required
boolean
event
required
string
OFFICE_EVENT_OFFER_RECEIVED push
required
boolean
true text
required
boolean
trueResponses
Section titled “ Responses ”Notification settings updated successfully
Bad Request: invalid data or unsupported event/user type/flag value
object
error
string
some meaningful error messageUnauthorized: user is not authenticated
object
error
string
some meaningful error messageInternal Server Error: failed to update notification settings
object
error
string
some meaningful error message